Package com.databricks.jdbc.client.impl.thrift.generated

## Class TDBSqlArrowFormat

- java.lang.Object
- - com.databricks.jdbc.client.impl.thrift.generated.TDBSqlArrowFormat

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TDBSqlArrowFormat>`, `org.apache.thrift.TBase<TDBSqlArrowFormat,​TDBSqlArrowFormat._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TDBSqlArrowFormat
    extends Object
    implements org.apache.thrift.TBase<TDBSqlArrowFormat,​TDBSqlArrowFormat._Fields>, Serializable, Cloneable, Comparable<TDBSqlArrowFormat>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDBSqlArrowFormat._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`TDBSqlArrowLayout` `arrowLayout`
`TDBSqlCompressionCodec` `compressionCodec`
`static Map<TDBSqlArrowFormat._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Constructor Summary

Constructors
`TDBSqlArrowFormat()`
`TDBSqlArrowFormat​(TDBSqlArrowFormat other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TDBSqlArrowFormat other)`
`TDBSqlArrowFormat` `deepCopy()`
`boolean` `equals​(TDBSqlArrowFormat that)`
`boolean` `equals​(Object that)`
`TDBSqlArrowFormat._Fields` `fieldForId​(int fieldId)`
`TDBSqlArrowLayout` `getArrowLayout()`
`TDBSqlCompressionCodec` `getCompressionCodec()`
`Object` `getFieldValue​(TDBSqlArrowFormat._Fields field)`
`int` `hashCode()`
`boolean` `isSet​(TDBSqlArrowFormat._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetArrowLayout()` Returns true if field arrowLayout is set (has been assigned a value) and false otherwise
`boolean` `isSetCompressionCodec()` Returns true if field compressionCodec is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TDBSqlArrowFormat` `setArrowLayout​(TDBSqlArrowLayout arrowLayout)`
`void` `setArrowLayoutIsSet​(boolean value)`
`TDBSqlArrowFormat` `setCompressionCodec​(TDBSqlCompressionCodec compressionCodec)`
`void` `setCompressionCodecIsSet​(boolean value)`
`void` `setFieldValue​(TDBSqlArrowFormat._Fields field, Object value)`
`String` `toString()`
`void` `unsetArrowLayout()`
`void` `unsetCompressionCodec()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### arrowLayout

    public TDBSqlArrowLayout arrowLayout

See Also:
  `TDBSqlArrowLayout`

#### compressionCodec

    public TDBSqlCompressionCodec compressionCodec

See Also:
  `TDBSqlCompressionCodec`

#### metaDataMap

    public static final Map<TDBSqlArrowFormat._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDBSqlArrowFormat

    public TDBSqlArrowFormat()

#### TDBSqlArrowFormat

    public TDBSqlArrowFormat​(TDBSqlArrowFormat other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TDBSqlArrowFormat deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TDBSqlArrowFormat,​TDBSqlArrowFormat._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TDBSqlArrowFormat,​TDBSqlArrowFormat._Fields>`

#### getArrowLayout

    public TDBSqlArrowLayout getArrowLayout()

See Also:
  `TDBSqlArrowLayout`

#### setArrowLayout

    public TDBSqlArrowFormat setArrowLayout​(TDBSqlArrowLayout arrowLayout)

See Also:
  `TDBSqlArrowLayout`

#### unsetArrowLayout

    public void unsetArrowLayout()

#### isSetArrowLayout

    public boolean isSetArrowLayout()

Returns true if field arrowLayout is set (has been assigned a value) and false otherwise

#### setArrowLayoutIsSet

    public void setArrowLayoutIsSet​(boolean value)

#### getCompressionCodec

    public TDBSqlCompressionCodec getCompressionCodec()

See Also:
  `TDBSqlCompressionCodec`

#### setCompressionCodec

    public TDBSqlArrowFormat setCompressionCodec​(TDBSqlCompressionCodec compressionCodec)

See Also:
  `TDBSqlCompressionCodec`

#### unsetCompressionCodec

    public void unsetCompressionCodec()

#### isSetCompressionCodec

    public boolean isSetCompressionCodec()

Returns true if field compressionCodec is set (has been assigned a value) and false otherwise

#### setCompressionCodecIsSet

    public void setCompressionCodecIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TDBSqlArrowFormat._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TDBSqlArrowFormat,​TDBSqlArrowFormat._Fields>`

#### getFieldValue

    public Object getFieldValue​(TDBSqlArrowFormat._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TDBSqlArrowFormat,​TDBSqlArrowFormat._Fields>`

#### isSet

    public boolean isSet​(TDBSqlArrowFormat._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TDBSqlArrowFormat,​TDBSqlArrowFormat._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDBSqlArrowFormat that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TDBSqlArrowFormat other)

Specified by:
  `compareTo` in interface `Comparable<TDBSqlArrowFormat>`

#### fieldForId

    public TDBSqlArrowFormat._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TDBSqlArrowFormat,​TDBSqlArrowFormat._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`